Name: python-dmidecode
Summary: Python module to access DMI data
Version: 3.12.2
Release: %mkrel 8
License: GPLv2
Group: Development/Python
URL: http://projects.autonomy.net.au/python-dmidecode/
Source0: https://fedorahosted.org/releases/p/y/%{name}/%{name}-%{version}.tar.gz

BuildRequires: libxml2-devel

BuildRequires: python2-devel
BuildRequires: libxml2-python

BuildRequires: python3-devel
BuildRequires: libxml2-python3

Requires: libxml2-python

%description
python-dmidecode is a python extension module that uses the
code-base of the 'dmidecode' utility, and presents the data
as python data structures or as XML data using libxml2.



%package -n python3-dmidecode
Summary: Python 3 module to access DMI data
Group: Development/Python
Requires: libxml2-python3

%description -n python3-dmidecode
python3-dmidecode is a Python 3 extension module that uses the
code-base of the 'dmidecode' utility, and presents the data
as Python 3 data structures or as XML data using libxml2.



%prep
%setup -qc
mv %{name}-%{version} python2
cp -a python{2,3}

pushd python3
sed -i 's/python2/python3/g' Makefile unit-tests/Makefile
popd


%build
# Not to get undefined symbol: dmixml_GetContent
export CFLAGS="${CFLAGS-} -std=gnu89"


for PY in python2 python3; do
  pushd $PY
  make build
  popd
done

%install
pushd python2
%{__python2} src/setup.py install --root %{buildroot} --prefix=%{_prefix}
popd

pushd python3
%{__python3} src/setup.py install --root %{buildroot} --prefix=%{_prefix}
popd


%check
for PY in python2 python3; do
  pushd $PY/unit-tests
  make
  popd
done


%files
%license python2/doc/LICENSE python2/doc/AUTHORS python2/doc/AUTHORS.upstream
%doc python2/README python2/doc/README.upstream
%{python2_sitearch}/dmidecodemod.so
%{python2_sitearch}/dmidecode.py
%{python2_sitearch}/dmidecode.py[co]
%{python2_sitearch}/*.egg-info
%{_datadir}/python-dmidecode/

%files -n python3-dmidecode
%license python3/doc/LICENSE python3/doc/AUTHORS python3/doc/AUTHORS.upstream
%doc python3/README python3/doc/README.upstream
%{python3_sitearch}/dmidecodemod.cpython-%{python3_version_nodots}m-*.so
%{python3_sitearch}/__pycache__/dmidecode.cpython-%{python3_version_nodots}*.py[co]
%{python3_sitearch}/dmidecode.py
%{python3_sitearch}/*.egg-info
%{_datadir}/python-dmidecode/



%changelog
* Mon Jun 05 2017 ngompa <ngompa> 3.12.2-8.mga6
+ Revision: 1106825
- No-change rebuild for arm arches

* Mon Jun 05 2017 ngompa <ngompa> 3.12.2-7.mga6
+ Revision: 1106771
- Port to Mageia
- imported package python-dmidecode

